<template>
    <div class="wrap">
        <div class="scene" id="scene">
            
            <div class="logo-text" id="logoText">
                company
            </div>

            <div class="date-text" id="dateText">
                0·0·12 
            </div>

            <div class="time-text" id="timeText">
                31.01 - 02.02
            </div>

            <div class="circle circle--dark circle--xl" id="circle1">
                <p class="circle__title">-100%</p>
                <p class="circle__text">на 5<sup>ый</sup> товар </p>
            </div>

            <div class="circle" id="circle2">
                <p class="circle__title">-75%</p>
                <p class="circle__text">на 4<sup>ый</sup> товар </p>
            </div>

            <div class="circle circle--accented circle--sm" id="circle3">
                <p class="circle__title">-50%</p>
                <p class="circle__text">на 3<sup>ый</sup> товар </p>
            </div>

        </div>
    </div>
</template>

<script>
    import {
        TimelineMax,
        Back,
        Elastic
        } from 'gsap'
    export default {
        name:'Middle1',
        mounted(){
            let tl = new TimelineMax({repeat:-1});

            tl
            .from('#scene',1,{
                alpha:0
            })
            .from('#logoText',0.85,{
                x:'-=240',
                ease:Back.easeOut,
                delay:0.25
            })
            .from('#dateText',0.85,{
                yPercent:100,
                alpha:0,
                ease:Elastic.easeInOut
            },"-=0.55")
            .from('#timeText',0.85,{
                alpha:0,
                x:'-=120px',
                ease:Elastic.easeInOut,
            },"-=0.55")
            .from('#circle1',1,{
                yPercent:100,
                alpha:0,
                scaleY:0,
                ease:Elastic.easeOut,
            },"-=0.55")
            .from('#circle2',1,{
                yPercent:50,
                alpha:0,
                scaleY:0,
                ease:Elastic.easeOut,
            },"-=0.55")
            .from('#circle3',1,{
                yPercent:25,
                alpha:0,
                scaleY:0,
                ease:Elastic.easeOut,
            },"-=0.55")
            .play()
            .yoyo(true)


        }
    }
</script>

<style lang="scss" scoped>
    @import '../scss/main.scss';

    $accent-color:#f63d42;
    
    .wrap{
        width: 100%;
        min-height: 100vh;

        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        position: relative;
    }

    .scene{
        width: 30vw;
        height: 100vh;

        background-image: url('~@/assets/img/middle1/back.jpg');
        background-size: 300px 180px;
        background-position: top left;
        background-repeat: repeat;

        position: relative;

        overflow: hidden;
    }

    .logo-text{
        background-color: $accent-color;
        color:#fff;
        font-family: $font-black;
        font-size: 18px;
        text-align: right;

        line-height: 1;

        padding: 8px 15px 12px 0px;

        position: absolute;
        left:-40px;
        top:32vh;

        border-bottom-right-radius: 50px;
        border-top-right-radius: 50px;

        height: auto;
        width: 180px;
    }

    .date-text{
        font-size: 34px;
        font-family: $font-black;
        color:$accent-color;

        position: absolute;
        top:32vh;
        right: 35px;

        line-height: 1;
    }

    .time-text{
        font-size: 24px;
        font-family: $font-black;
        color:$accent-color;

        position: absolute;
        bottom:22vh;
        left: 35px;

        line-height: 1;
    }

    .circle{
        position: absolute;
        left:0;
        top:0;

        width: 165px;
        height: 165px;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        background-color: #fff;
        border-radius: 150px;

        box-shadow: 5px 5px 15px #aaa;

        &__title{
            line-height: 1;
            font-size: 32px;
            color:$accent-color;
            font-family: $font-black;
        }

        &__text{
            line-height: 1;
            font-size: 14px;
            color:$accent-color;
            font-family: $font-black;

            sup{
                color:$accent-color;
                font-size: 8px;
                line-height: 1;
                font-family: $font-black;
            }
        }
    }

    .circle--dark{
        background: linear-gradient(to right bottom, #000 15%, #444 75%);

        .circle__title{
            color:#fff;
        }
        .circle__text{
            color:#fff;

            sup{
                color:#fff;
            }
        }
    }

    .circle--accented{
        background-color: $accent-color;

        .circle__title{
            color:#fff;
        }
        .circle__text{
            color:#fff;

            sup{
                color:#fff;
            }
        }
    }

    .circle--xl{
        width: 200px;
        height: 200px;

        .circle__title{
            font-size: 38px;
        }
        .circle__text{
            font-size: 18px;

            sup{
                font-size: 10px;
            }
        }
    }

    .circle--sm{
        width: 120px;
        height: 120px;

        .circle__title{
            font-size: 24px;
        }
        .circle__text{
            font-size: 10px;

            sup{
                font-size: 10px;
            }
        }
        
    }

    #circle1{
        left: 116px;
        top: 41vh;

        z-index: 3;
    }

    #circle2{
        right:120px;
        top:47vh;
        left:unset;

        z-index: 2;
    }

    #circle3{
        top:unset;
        bottom: 28vh;
        left:0;
        right:0;

        margin-left: auto;
        margin-right: auto;
        
        z-index:1;
    }
</style>